<?php
/**
 * Interface for classes that can receive and process Ajax
 * requests
 *
 * Copyright (C) 2008  Sean Hickey
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @author Sean Hickey <sean@headzoo.com>
 * @version $Id: Interface.php 376 2008-07-03 05:13:37Z sean $
 * @package Alinks_Ajax
 */
interface Alinks_Ajax_Callable_Interface
{
	/**
	 * Tells the class the next method call is from an Ajax request
	 *
	 * When called, this method alerts the implementing class that the next
	 * method call is coming from an Ajax request.
	 */
	function setAjaxCalling();
}