<?php
/**
 * Interface for zip archive classes
 *
 * Copyright (C) 2008  Sean Hickey
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @author Sean Hickey <sean@headzoo.com>
 * @version $Id: Interface.php 393 2008-07-03 05:45:07Z sean $
 * @package Alinks_Zip
 */
interface Alinks_Zip_Interface
{
	/**
	 * Sets the path and name of the file to unzip
	 *
	 * @param string $file The path and name of the zip file
	 * @return Alinks_Zip_Interface
	 */
	function setFile($file);
	
	/**
	 * Returns the path and name of the file to unzip
	 *
	 * @return string
	 */
	function getFile();
	
	/**
	 * Unzips the file to the specified path
	 *
	 * @param string $path The directory where the zip file should
	 * be unarchived.
	 *
	 * @param string $path The path
	 * @return bool
	 * @throws Alinks_Exception
	 */
	function unzip($path);
}